pipeline {
    agent any
    environment {
        CONTAINER_REGISTRY = 'registry.gitlab.com/george.sulim/jenkins_task'
        IMAGE_NAME = 'my-nginx'
        IMAGE_TAG = 'latest'
    }
    stages {
        stage('Build') {
            steps {
                sh 'docker build -t $CONTAINER_REGISTRY/$IMAGE_NAME:$IMAGE_TAG .'
            }
        }
        stage('Push to GitLab Container Registry') {
            steps {
                withCredentials([usernamePassword(credentialsId: 'GITLAB_CREDENTIALS', usernameVariable: 'GITLAB_REGISTRY_USERNAME', passwordVariable: 'GITLAB_REGISTRY_PASSWORD')]) {
                    sh "docker login -u $GITLAB_REGISTRY_USERNAME -p $GITLAB_REGISTRY_PASSWORD $CONTAINER_REGISTRY"
                    sh "docker push $CONTAINER_REGISTRY/$IMAGE_NAME:$IMAGE_TAG"
                }
            }
        }
    }
}
